你好,游客 登录 注册 搜索
背景:
阅读新闻

Linux出现内核级漏洞

[日期:2006-09-23] 来源:Linux公社  作者:Linux [字体: ]

  Linux出现内核级漏洞,攻击者只要通过一个简单的C程序就可利用整个脆弱系统。

  发现这一漏洞的是挪威的一名研究人员。他在Linuxreviews.org站点上表示,攻击者想要利用上述漏洞需要具有Shell访问或其他上传及运行程序的方法,与cgi-bin和FTP存取相似。然后,运行可以在任何标准用户账户下发挥作用的代码。

  研究人员同时还发表了针对2.4和2.6内核的数个补丁程序,有助于防止该漏洞导致系统崩溃。点击这里可查找到2.4.xx内核补丁,点击这里获取2.6内核补丁。

  据了解,Linux之所以会出现上述漏洞和它的内核信号处理器不能正确处理浮点(FP)例外有关。

  Linux之父Linus Torvalds已承认当存在待解决的FP错误时,Linux内核可能会出现问题。但他认为他已修正了这一问题。


linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款